////////////////////////////////////////////////////////////////////////////////////////
// a_fileop_filegetsize.js
// 
// Acceptance test
// 	 Returns the file size of a known file, sizeme.txt, which should be 60K
//
// ~ XPInstall QA
//   November 29, 1999
//   March 3, 2000. Updated. Uses File object and renamed API.
//   August 14, 2000. David Epstein. Changed append file method in getFolder().
//
//////////////////////////////////////////////////////////////////////////////////////////

jarSrc = "readme.txt";
renamed = "sizeme.txt";

initInstall("Acceptance: a_fileop_filegetsize", "acceptance", "1.1.1.1", 0);
f = getFolder("Program");
addFile("fileop_filegetsize", "1.0.1.5", jarSrc, f, renamed);
performOrCancel();

initInstall("The getSize part", "acceptance", "1.1.1.1", 0);
fileSource = getFolder(f, renamed);     // append file to path
theSize = File.size(fileSource);
logComment("Path to known file = " + fileSource);
logComment("File.size should return 60K = " + theSize);
performOrCancel();

function performOrCancel() 
{ 
   if (0 == getLastError())
      performInstall();			// do the install here.
   else
      cancelInstall();
}

